pango-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque Stores information about a segment of text.
- Constructor
  2.12.0.0
  Creates a new Item
- Constructor
  2.12.0.0
  an object of type
  Internal method.
  This is an internal method, and should not be used by user code.
- Property
  2.12.0.0
  Pango.Analysis the properties of the segment. the properties of the segment.
- Method
  2.12.0.0
  Pango.Item Copy an existing structure. a new
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.GType Native GLib type value. a .
- Property
  2.12.0.0
  System.Int32 the length of the segment in bytes. the length of the segment in bytes.
- Method
  2.12.0.0
  System.Obsolete("Replaced by Item() constructor")
  Pango.Item Obsolete: replaced by ordinary constructor a new
- Method
  2.12.0.0
  System.Obsolete("Replaced by Item(IntPtr) constructor")
  Pango.Item `` an object of type Obsolete internal constructor an object of type This is an internal method, and should not be used by user code.
- Property
  2.12.0.0
  System.Int32 the length of the segment in characters. the length of the segment in characters.
- Property
  2.12.0.0
  System.Int32 the offset of the segment from the beginning of the string in bytes. the offset of the segment from the beginning of the string in bytes.
- Method
  2.12.0.0
  Pango.Item `` `` byte index of position to split item, relative to the start of the item number of chars between start of orig and Modifies orig to cover only the text after , and returns a new item that covers the text before that used to be in orig. new item representing text before You can think of as the length of the returned item. may not be 0, and it may not be greater than or equal to the length of orig (that is, there must be at least one byte assigned to each item, you cannot create a zero-length item). is the length of the first item in chars, and must be provided because the text used to generate the item is not available, so cannot count the char length of the split items itself.
- Field
  2.12.0.0
  System.Obsolete("Pango.Item is a reference type now, use null")
  Pango.Item Returns an empty